[Unit]
Description=Discord IB015 IRC Bridge
After=network.target remote-fs.target

[Service]
Type=simple
WorkingDirectory=/srv/crs/dis-fi/
ExecStart=/usr/local/bin/discord-irc --config /srv/crs/dis-fi/config.json
User=dis-fi
Group=dis-fi
Restart=always
RestartSec=2
TimeoutStopSec=300

CPUAccounting=true
MemoryAccounting=true
Nice=10
# quota for one CPU
CPUQuota=30%
MemoryHigh=800M
MemoryMax=1G

[Unit]
StartLimitBurst=0
StartLimitIntervalSec=0

[Install]
WantedBy=default.target
